//----------------------------------------------------------------------------

//   Wake   RS-485,
// .

//----------------------------------------------------------------------------

#ifndef PortH
#define PortH

//----------------------------------------------------------------------------

#include <Wake.h>

//----------------------------------------------------------------------------

extern char Rx_Cmd,          // 
            Rx_Nbt,          //    
            Rx_Dat[FRAME];   //  

extern char Command;         //    

extern char Tx_Cmd,          //,   
            Tx_Nbt,          //    
            Tx_Dat[FRAME];   //   

//----------------------------------------------------------------------------

void Port_Init(void);        // 
bool Port_Set_Address(unsigned int sig, char addr); // 
char Port_Get_Address(void); // 
void Port_Tx_Frame(void);    //  
void Port_Tx_Exe(bool t);    //    

//----------------------------------------------------------------------------

#endif
